---
# We read the user facts versions.yml file, that is present in an U7 uberspace.
#
# I don't use `uberspace tools version list`, because it has a poor performance and requires us to use
# a command. So I cannot easily make it idempotent.

- name: read userfacts versions.yml
  slurp:
    src: "{{ web_prerequisites_user_facts_versions_yml_path }}"
  register: user_facts_versions

- name: parse userfacts versions.yml file content to fact dict
  set_fact:
    user_facts_versions_dict: "{{ user_facts_versions.content | b64decode | from_yaml }}"

- name: set php {{ web_prerequisites_tool_version_php }} version
  when: user_facts_versions_dict['php'] != web_prerequisites_tool_version_php
  command:
    cmd: "{{ web_prerequisites_tool_version_use_command }} {{ web_prerequisites_tool_version_command_parameter }}"
    chdir: "{{ web_prerequisites_tool_chdir }}"
    # is false during tests to disable warnings for mock commands, otherwise true, so that warnings are given
    warn: "{{ web_prerequisites_tool_command_warnings }}"